%define eul %{nil}
Summary: Simple DirectMedia Layer - Sample Mixer Library
Name: SDL_mixer
Version: 1.2.0
Release: 4%{eul}
Source: http://www.libsdl.org/projects/SDL_mixer/src/%{name}-%{version}.tar.bz2
Patch1: SDL_mixer-1.0.6-redhat.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.libsdl.org/projects/SDL_mixer/
Prefix: %{_prefix}
BuildPrereq: SDL-devel >= 1.2.0 kdelibs-sound-devel >= 2.0
Requires: arts smpeg SDL >= 1.2.0
%if "%{eul}" == ""
Requires: esound
BuildRequires: esound-devel
%endif

%description
A simple multi-channel audio mixer for SDL.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%package devel
Summary: Libraries, includes and more to develop SDL applications using the SDL mixer.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for SDL_mixer, a simple multi-channel audio mixer for SDL.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

You need SDL_mixer-devel if you want to compile an application using SDL_mixer.

%prep
%setup -q
%patch1 -p1 -b .redhat

%build
#rm acinclude.m4
aclocal
autoheader
automake || :
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{prefix}/bin/playmus
%{prefix}/bin/playwave
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*a
%{prefix}/lib/lib*.so
%{prefix}/include/SDL

%changelog
* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add more build dependencies (#49828)

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild

* Fri Jun 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not delete acinclude.m4 in spec file

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require arts, not kdelibs-sound

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0
- Fix %%post, %%postun
- Fix summary line for -devel

* Wed Nov 29 2000 Than Ngo <than@redhat.com>
- added ftp site

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0.6
- Requires: smpeg
- BuildRequires: SDL-devel
- Look for timidity.cfg in the right place

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt lkto fix bad dir perms

* Tue Nov 14 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.6

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move libSDL_mixer.so in SDL_mixer-devel

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- added post and postun sections with /sbin/ldconfig

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- use RPM macros

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for Red Hat Powertools
- fix build with current libtool

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure
* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

